% Code by Kameron Conforti, 6/23/2015
% Finds the dPhi present at each total current
function [dPhi,dPhi_pol]=currSolver2(iTarget,Pe,d,n)
dPhi0=0.001;% initial guess in Volts
options = optimset('Display','off'); %suppresses printing 
dPhi= fsolve(@(dPhi) currentEval2(Pe,d,dPhi,n)-iTarget,dPhi0,options);
[~,dPhi_pol]=currentEval2(Pe,d,dPhi,n);%stores the potential drop due to concentration polarization
end