function i_lim= limitcurrent( D,w,d,Q,C )
%LIMITCURRENT This function calculate limiting current
%Based on diffusivity, width, thickness, flow rate, concentration
global ze F area
v=1.5*Q./w./d; %maximum flow rate

i_lim=2.54*D^(2/3)*w^(-1/3)*d^(-1/3)*v^(1/3)*C*ze*F*area;

end

