%Code by Kameron Conforti, 6/23/2015, Simpson's Rule integration
function myIntegral = simpsonsRule(yVec,a,b) 
% a and b are the limits of integration. y is a vector of function evaluations evenly spaced between a and b
n=numel(yVec)-1;
if mod(n,2)==0 %requires odd length of yVec, equivalently an even number of intervals.
    P=(b-a)/(3*n);
    myIntegral= P*(yVec(1)+4*sum(yVec(2:2:end-1))+2*sum(yVec(3:2:end-2))+yVec(end));
else
    myIntegral='use even number of intervals'
end
end